All methods and paths for this operation:
GET
/_prometheus/api/v1/status/buildinfo
GET
/_prometheus/{index}/api/v1/status/buildinfo
Get Elasticsearch build information in the format of the Prometheus /api/v1/status/buildinfo endpoint.
Prometheus-compatible clients, such as Grafana, call this endpoint to identify the backend and the features it supports.
GET
/_prometheus/{index}/api/v1/status/buildinfo
Console
GET /_prometheus/api/v1/status/buildinfo
resp = client.prometheus.status_buildinfo()
const response = await client.prometheus.statusBuildinfo();
response = client.prometheus.status_buildinfo
$resp = $client->prometheus()->statusBuildinfo();
curl -X GET -H "Authorization: ApiKey $ELASTIC_API_KEY" "$ELASTICSEARCH_URL/_prometheus/api/v1/status/buildinfo"
Response examples (200)
A successful response from `GET /_prometheus/api/v1/status/buildinfo`.
{
"status": "success",
"data": {
"application": "Elasticsearch",
"version": "9.5.0",
"revision": "00000000",
"buildDate": "2026-07-09T22:10:13.578182715Z"
}
}